package com.sinosig.mybatis.module.po;

import com.sinosig.core.repository.po.SYXTBYD;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import java.io.Serializable;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
/**
 * 关系型数据实体表[SYXTBYD] 对象
 */
@TableName(value = "T_SYXTBYD",resultMap = "T_SYXTBYDResultMap")
public class T_SYXTBYDImpl implements SYXTBYD,Serializable {

    /**
     * 商业险特别约定标识
     */        
    @TableId(value= "syxtbydid",type=IdType.UUID)//指定主键生成策略
    private String SYXTBYDId;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean SYXTBYDIdDirtyFlag;

    private String SYXTBYDName;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean SYXTBYDNameDirtyFlag;

    private Timestamp UpdateDate;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean UpdateDateDirtyFlag;

    private Integer Xh;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean XhDirtyFlag;

    private String Tymc;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean TymcDirtyFlag;

    private String CreateMan;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CreateManDirtyFlag;

    private Timestamp CreateDate;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CreateDateDirtyFlag;

    private String UpdateMan;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean UpdateManDirtyFlag;

    private String Tynr;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean TynrDirtyFlag;

    private String TBYDKName;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean TBYDKNameDirtyFlag;

    private String TBYDKId;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean TBYDKIdDirtyFlag;

    private String CIDId;

    @JsonIgnore
    @TableField(exist = false)//关系主表数据
    private boolean CIDIdDirtyFlag;

    /**
     * 获取 [商业险特别约定标识]
     */
    public String getSYXTBYDId(){
        return SYXTBYDId ;
    }

    /**
     * 设置 [商业险特别约定标识]
     */
    public void setSYXTBYDId(String  sYXTBYDId){
        this.SYXTBYDId = sYXTBYDId ;
        this.SYXTBYDIdDirtyFlag = true ;
    }
    /**
     * 获取 [商业险特别约定标识]脏标记
     */
    @JsonIgnore
    public boolean getSYXTBYDIdDirtyFlag(){
        return SYXTBYDIdDirtyFlag ;
    }

    /**
     * 获取 [商业险特别约定名称]
     */
    public String getSYXTBYDName(){
        return SYXTBYDName ;
    }

    /**
     * 设置 [商业险特别约定名称]
     */
    public void setSYXTBYDName(String  sYXTBYDName){
        this.SYXTBYDName = sYXTBYDName ;
        this.SYXTBYDNameDirtyFlag = true ;
    }
    /**
     * 获取 [商业险特别约定名称]脏标记
     */
    @JsonIgnore
    public boolean getSYXTBYDNameDirtyFlag(){
        return SYXTBYDNameDirtyFlag ;
    }

    /**
     * 获取 [更新时间]
     */
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }
    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return UpdateDateDirtyFlag ;
    }

    /**
     * 获取 [序号]
     */
    public Integer getXh(){
        return Xh ;
    }

    /**
     * 设置 [序号]
     */
    public void setXh(Integer  xh){
        this.Xh = xh ;
        this.XhDirtyFlag = true ;
    }
    /**
     * 获取 [序号]脏标记
     */
    @JsonIgnore
    public boolean getXhDirtyFlag(){
        return XhDirtyFlag ;
    }

    /**
     * 获取 [特约名称]
     */
    public String getTymc(){
        return Tymc ;
    }

    /**
     * 设置 [特约名称]
     */
    public void setTymc(String  tymc){
        this.Tymc = tymc ;
        this.TymcDirtyFlag = true ;
    }
    /**
     * 获取 [特约名称]脏标记
     */
    @JsonIgnore
    public boolean getTymcDirtyFlag(){
        return TymcDirtyFlag ;
    }

    /**
     * 获取 [建立人]
     */
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [建立人]
     */
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }
    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return CreateManDirtyFlag ;
    }

    /**
     * 获取 [建立时间]
     */
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [建立时间]
     */
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }
    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return CreateDateDirtyFlag ;
    }

    /**
     * 获取 [更新人]
     */
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [更新人]
     */
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }
    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return UpdateManDirtyFlag ;
    }

    /**
     * 获取 [特约内容]
     */
    public String getTynr(){
        return Tynr ;
    }

    /**
     * 设置 [特约内容]
     */
    public void setTynr(String  tynr){
        this.Tynr = tynr ;
        this.TynrDirtyFlag = true ;
    }
    /**
     * 获取 [特约内容]脏标记
     */
    @JsonIgnore
    public boolean getTynrDirtyFlag(){
        return TynrDirtyFlag ;
    }

    /**
     * 获取 [特别约定库名称]
     */
    public String getTBYDKName(){
        return TBYDKName ;
    }

    /**
     * 设置 [特别约定库名称]
     */
    public void setTBYDKName(String  tBYDKName){
        this.TBYDKName = tBYDKName ;
        this.TBYDKNameDirtyFlag = true ;
    }
    /**
     * 获取 [特别约定库名称]脏标记
     */
    @JsonIgnore
    public boolean getTBYDKNameDirtyFlag(){
        return TBYDKNameDirtyFlag ;
    }

    /**
     * 获取 [特别约定库标识]
     */
    public String getTBYDKId(){
        return TBYDKId ;
    }

    /**
     * 设置 [特别约定库标识]
     */
    public void setTBYDKId(String  tBYDKId){
        this.TBYDKId = tBYDKId ;
        this.TBYDKIdDirtyFlag = true ;
    }
    /**
     * 获取 [特别约定库标识]脏标记
     */
    @JsonIgnore
    public boolean getTBYDKIdDirtyFlag(){
        return TBYDKIdDirtyFlag ;
    }

    /**
     * 获取 [车险单标识]
     */
    public String getCIDId(){
        return CIDId ;
    }

    /**
     * 设置 [车险单标识]
     */
    public void setCIDId(String  cIDId){
        this.CIDId = cIDId ;
        this.CIDIdDirtyFlag = true ;
    }
    /**
     * 获取 [车险单标识]脏标记
     */
    @JsonIgnore
    public boolean getCIDIdDirtyFlag(){
        return CIDIdDirtyFlag ;
    }

}